/*******************************************************************************
 *  Copyright 2017-2018 Centre for Development of Advanced Computing(C-DAC), Pune
 *  
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *  
 *   http://www.apache.org/licenses/LICENSE-2.0
 *  
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *******************************************************************************/

package cdac.medinfo.sdk.dcm30_04.templates.enums.cv;

/**
 * This enum represents Code Value for Flow Direction 
 */
public enum EnumCV_FlowDirection {

	//Flow Direction  - CID 12221
	ANTEGRADE_FLOW_R_42047("R-42047"),
	RETROGRADE_FLOW_R_42E61("R-42E61"),
	REGURGITANT_FLOW_G_0367("G-0367"),
	LEFT_TO_RIGHT_CARDIOVASCULAR_SHUNT_F_32330("F-32330"),
	RIGHT_TO_LEFT_CARDIOVASCULAR_SHUNT_F_32340("F-32340");

	private String value;

	EnumCV_FlowDirection(String strvalue)
	{
		this.value = strvalue;
	}

	/**
	 * This function returns the String value of this enum.
	 * @return - returns string value of Code Value.
	 */
	public String getValue()
	{
		return value;
	}

}
